# time(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

time - Command time evaluator

## SYNOPSIS

time "string"

## DESCRIPTION

time evaluates the time take to execute line "string". time uses command execute-line(2) to execute the given string.

## EXAMPLE

The following example simply times the time take to save the current buffer:-

    time "save-buffer"

## NOTES

time is a macro defined in `misc.emf`.

On multi-task systems like UNIX time cannot take into account the number of other processes running at the same time, it can only return the actual time elapse. This leads to inaccuracies and variation in results.

## SEE ALSO

execute-line(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>